

<%

if ( tab == null )
{
  tab = "";
}

if ( tab.equals( "AddAnnotation" ) )
{
  fields.add(new FieldImpl(FieldType.TEXTAREA, "Notes", event.getNotes()));
}
else if ( tab.equalsIgnoreCase( "Times" ) )
{

  fields.add(new FieldImpl(FieldType.READONLY, "First Occure", event.getFirstOccurrenceTime().getTime().toString()));
  fields.add(new FieldImpl(FieldType.READONLY, "Last Occure", event.getLastOccurrenceTime().getTime().toString()));
  fields.add(new FieldImpl(FieldType.READONLY, "Origin Occure ", event.getOriginOccurrenceTime().getTime().toString()));

}
else if ( tab.equalsIgnoreCase( "Annotations" ) )
{

  fields.add(new FieldImpl(FieldType.TEXTAREA, "Notes", event.getNotes()));

}
else if ( tab.equalsIgnoreCase( "Details" ) )
{

  fields.add(new FieldImpl(FieldType.READONLY, "Name", event.getName()));
  fields.add(new FieldImpl(FieldType.READONLY, "Category", getHPObjectSuffix(event.getCategory())));
  fields.add(new FieldImpl(FieldType.READONLY, "Family", getHPObjectSuffix(event.getFamily())));
  fields.add(new FieldImpl(FieldType.READONLY, "Origin", event.getOrigin().toString()));
  fields.add(new FieldImpl(FieldType.READONLY, "Correlation Nature", event.getNature().toString()));
  fields.add(new FieldImpl(FieldType.READONLY, "Duplicate Count", String.valueOf(event.getDuplicateCount())));
  fields.add(new FieldImpl(FieldType.READONLYBOOLEAN, "RCA Active", String.valueOf(event.getRcaActive())));

}
else if ( tab.equalsIgnoreCase( "SourceNode" ) )
{

  ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
  ExternalServiceResponse resps;
  esr.setAction( "getNode" );
  esr.addToken( "nodeName", event.getSourceNodeName() );
  %>
  <%@ include file="sendRequest.jsp"%>
  <%@ include file="sourceNodeContent.jsp"%>
  <%


}
else if ( tab.equalsIgnoreCase( "SourceObject" ) )
{

  IncidentSourceType sourceType = IncidentSourceType.valueOf(getHPObjectSuffix(event.getSourceType()).toUpperCase());


  ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
  ExternalServiceResponse resps;

  switch(sourceType)
  {
    case INTERFACE:

      esr.setAction( "getInterface" );
      esr.addToken( "sourceObject",  event.getSourceName());
      %>
      <%@ include file="sendRequest.jsp"%>
      <%

      com.hp.ov.nms.sdk.iface.InterfaceBeanServiceStub._interface interfaceSourceObject = (com.hp.ov.nms.sdk.iface.InterfaceBeanServiceStub._interface)resps.getResponse();

      fields.add(new FieldImpl(FieldType.READONLY, "Name", interfaceSourceObject.getName()));
      fields.add(new FieldImpl(FieldType.READONLY, "Status", interfaceSourceObject.getStatus().toString()));
      fields.add(new FieldImpl(FieldType.READONLY, "Host ID", interfaceSourceObject.getHostedOnId()));
      fields.add(new FieldImpl(FieldType.READONLY, "If Index", String.valueOf(interfaceSourceObject.getIfIndex())));
      fields.add(new FieldImpl(FieldType.READONLY, "If Alias", interfaceSourceObject.getIfAlias()));
      fields.add(new FieldImpl(FieldType.READONLY, "If Desc", interfaceSourceObject.getIfDescr()));
      fields.add(new FieldImpl(FieldType.READONLY, "If Name", interfaceSourceObject.getIfName()));
      fields.add(new FieldImpl(FieldType.READONLY, "If Speed", String.valueOf(interfaceSourceObject.getIfSpeed())));
      fields.add(new FieldImpl(FieldType.READONLY, "If Type", interfaceSourceObject.getIfType()));
      fields.add(new FieldImpl(FieldType.READONLY, "Address", interfaceSourceObject.getPhysicalAddress()));
      fields.add(new FieldImpl(FieldType.READONLY, "Admin State", interfaceSourceObject.getAdministrativeState()));
      fields.add(new FieldImpl(FieldType.READONLY, "Op State", interfaceSourceObject.getOperationalState()));

      break;

    case IPADDRESS:

      esr.setAction( "getIPAddress" );
      esr.addToken( "sourceObject",  event.getSourceName());
      %>
      <%@ include file="sendRequest.jsp"%>
      <%

      com.hp.ov.nms.sdk.ipaddress.IPAddressBeanServiceStub.IpAddress ipAddressSourceObject = (com.hp.ov.nms.sdk.ipaddress.IPAddressBeanServiceStub.IpAddress)resps.getResponse();

      fields.add(new FieldImpl(FieldType.READONLY, "IP", ipAddressSourceObject.getIpValue()));
      fields.add(new FieldImpl(FieldType.READONLY, "Mode", ipAddressSourceObject.getManagementMode().toString()));

        break;

    case L2CONNECTION:

      esr.setAction( "getL2Connection" );
      esr.addToken( "sourceObject",  event.getSourceName());
      %>
      <%@ include file="sendRequest.jsp"%>
      <%

      com.hp.ov.nms.sdk.l2connection.L2ConnectionBeanServiceStub.L2Connection l2ConnectionSourceObject = (com.hp.ov.nms.sdk.l2connection.L2ConnectionBeanServiceStub.L2Connection)resps.getResponse();

      fields.add(new FieldImpl(FieldType.READONLY, "Name", l2ConnectionSourceObject.getName()));
      fields.add(new FieldImpl(FieldType.READONLY, "Status", l2ConnectionSourceObject.getStatus().toString()));
      fields.add(new FieldImpl(FieldType.READONLY, "Modified", l2ConnectionSourceObject.getInterfaces().toString()));

        break;

    case IPSUBNET:

      esr.setAction( "getIPSubnet" );
      esr.addToken( "sourceObject",  event.getSourceName());
      %>
      <%@ include file="sendRequest.jsp"%>
      <%

      com.hp.ov.nms.sdk.ipsubnet.IPSubnetBeanServiceStub.IpSubnet ipSubnetSourceObject = (com.hp.ov.nms.sdk.ipsubnet.IPSubnetBeanServiceStub.IpSubnet)resps.getResponse();

      fields.add(new FieldImpl(FieldType.READONLY, "Name", ipSubnetSourceObject.getName()));
      fields.add(new FieldImpl(FieldType.TEXTAREA, "Prefix", ipSubnetSourceObject.getPrefix()));

        break;

    case NODE:

      esr.setAction( "getNode" );
      esr.addToken( "nodeName", event.getSourceName() );
      %>
      <%@ include file="sendRequest.jsp"%>
      <%@ include file="sourceNodeContent.jsp"%>
      <%


      break;

    default:
        break;
  }

}
else
{

  fields.add(new FieldImpl(FieldType.READONLY, "Message", event.getFormattedMessage()));
  fields.add(new FieldImpl(FieldType.READONLY, "Severity", event.getSeverity().toString()));
  fields.add(new FieldImpl(FieldType.LIST, "Priority", event.getPriority()));
  fields.add(new FieldImpl(FieldType.LIST, "Lifecycle State", event.getLifecycleState()));

  fields.add(new FieldImpl(FieldType.SEARCH, "Assigned To", event.getAssignedTo(), "searchAssignTo"));

}

%>
