<%@ page import="org.springframework.web.context.WebApplicationContext"%>
<%@ page import="org.springframework.web.context.support.WebApplicationContextUtils "%>
<%@ page import="com.invoqsystems.apex.services.view.LicenseService"%>


<%@ include file="includes/defaultImports.jsp"%>

<!DOCTYPE html PUBLIC "-//OMA//DTD XHTML Mobile 1.0//EN" "http://www.openmobilealliance.org/tech/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>xMatters mobile access</title>

    <link rel="SHORTCUT ICON" href="/mg/images/logos/xmatters/favicon.ico" type="image/x-icon" />

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Cache-Control" content="max-age=0" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
    <meta name="MobileOptimized" content="100" />

    <%@ include file="../../includes/ipad_include.jsp"%>

  </head>

  <body>
    <!---+
         + Header
         +--->
    <div>
    </div>


  <!---+
       + Main content
       +--->
  <div id="wrapper">
    <div id="scroller">
      <div class="main box">
        <h1>HP NNMi Main Menu</h1>
        <div class="lining">
          
          <%
          MobileGatewayUser user = mobileGatewaySession.getUser();
          String nnmiUser = (String)request.getParameter("nnmiUser");
          String nnmiPass = (String)request.getParameter("nnmiPass");
    
          if ( nnmiUser == null )
          {
            nnmiUser = (String)session.getAttribute("nnmiUser");
          }
          if ( nnmiPass == null )
          {
            nnmiPass = (String)session.getAttribute("nnmiPass");
          }
    
          try
          {
            if ( nnmiUser == null )
            {
              nnmiUser = user.getCustomField( HPNNMI_USER_NAME_FIELD );
            }
            if ( nnmiPass == null )
            {
              nnmiPass = user.getCustomField( HPNNMI_PASSWORD_FIELD );
            }
          } catch( Exception e ) {
          }
    
          if ( nnmiUser != null )
          {
            ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
            ExternalServiceResponse resps;
            esr.setAction("validateCreds");
            esr.addToken("nnmiUser", nnmiUser);
            esr.addToken("nnmiPass", nnmiPass);
    
            WebApplicationContext context = WebApplicationContextUtils.getRequiredWebApplicationContext(application);
            LicenseService licenseService = (LicenseService)context.getBean("licenseService");;
    
            %>
            <%@ include file="includes/sendRequest.jsp"%>
            <%
    
          }
          session.setAttribute( "nnmiUser", nnmiUser );
          session.setAttribute( "nnmiPass", nnmiPass );
    
          if(nnmiUser == null)
          //Display HP NNMi Login Page
          {
          %>
          <form method="POST" action="<%=response.encodeURL("menu.jsp")%>">
    
            <div>
              <label for="user">HP NNMi Login:</label>
              <input type="text" id="nnmiUser" name="nnmiUser"/>
            </div>
            <div>
              <label for="password">HP NNMi Login:</label>
              <input type="password" id="nnmiPass" name="nnmiPass"/>
            </div>
            <div>
              <input type="submit" name="submit" class="button scroll" value="Login"/>
            </div>
          </form>
          </div></div>
          <%
          }
          else
          {
            session.removeAttribute("LoginRetries");
            String oddeven = "odd";
          %>
          <ul>
            <li class="<%=oddeven%>" ><a href="<%=response.encodeURL("queryEvents.jsp")%>">Query HP NNMi Incidents</a></li>
          </ul>
        </div>
      </div>
      <div class="menu box">
        <h1>Filtered Reports</h1>
        <ul>
          <p/>
          <%
          if ( MAIN_MENU_COUNTS )
          {
            ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
            ExternalServiceResponse resps;
            for (String option : MAIN_MENU_OPTIONS.keySet()) {
              String count = "";
              com.hp.ov.nms.sdk.incident.IncidentBeanServiceStub.Filter filter = MAIN_MENU_OPTIONS.get( option );
  
              esr.setAction("getIncidentCounts");
              esr.addToken("filter" , filter);
            }
            %>
            <%@ include file="includes/sendRequest.jsp"%>
            <%
  
            Map<String, String> countResults = (Map<String, String>)resps.getResponse();
  
            //          session.setAttribute( option, optionResults );
            String failureMessage = null;
            for (String option : MAIN_MENU_OPTIONS.keySet()) {
              String count;
              String value = countResults.get(MAIN_MENU_OPTIONS.get(option));
              if (value != null) {
                  count = "[" + value + "] ";
                  if ("Unknown".equalsIgnoreCase(value)) {
                      failureMessage = "Problem retrieving counts from OM-U";
                  }
              } else {
                  count = "[ Unknown ] ";
                  failureMessage = "Error retrieving counts from OM-U";
              }
              String queryString = "?listAttribute=" + StringEscapeUtils.escapeXml(option)
                                   + "&listTitle=" + StringEscapeUtils.escapeXml(option);
              String optionURL = response.encodeURL("listEvents.jsp"+queryString);
              if ("odd".equals(oddeven)) {
                  oddeven = "even";
              } else {
                  oddeven = "odd";
              }
              %>
              <li><b><%=count%></b><a href="<%=optionURL%>"><%=option%> Incidents</a></li>
              <%
            }
  
            if (failureMessage != null) {
                out.print("<div class=\"alert-message\">"+failureMessage+"</div>");
            }
          } else {
            for (String option : MAIN_MENU_OPTIONS.keySet()) {
              String queryString = "?listAttribute=" + StringEscapeUtils.escapeXml(option)
                                   + "&listTitle=" + StringEscapeUtils.escapeXml(option);
              String optionURL = response.encodeURL("listEvents.jsp"+queryString);
              if ("odd".equals(oddeven)) {
                  oddeven = "even";
              } else {
                  oddeven = "odd";
              }
              %>
              <li class="<%=oddeven%>"><a href="<%=optionURL%>"><%=option%> Incidents</a></li>
              <%
            }
          }
          %>
        </ul>
      </div>
        <%
      }
      %>
    </div>
    </div>

    <%@ include file="includes/standardFooter.jsp"%>
  </body>
</html>
