<%@ page import="org.springframework.web.context.WebApplicationContext"%>
<%@ page import="org.springframework.web.context.support.WebApplicationContextUtils "%>
<%@ page import="com.invoqsystems.apex.services.view.LicenseService"%>

<%@ include file="includes/defaultImports.jsp"%>

<!DOCTYPE html PUBLIC "-//OMA//DTD XHTML Mobile 1.0//EN" "http://www.openmobilealliance.org/tech/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>xMatters mobile access</title>
    <link rel="SHORTCUT ICON" href="/mg/images/logos/xmatters/favicon.ico" type="image/x-icon" />

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Cache-Control" content="max-age=0" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
    <meta name="MobileOptimized" content="100" />

    <%@ include file="../../includes/ipad_include.jsp"%>
  </head>

  <body>
    <a id="top" name="top"></a>
    <div>
    </div>

    <div id="wrapper">
      <div id="scroller">
      <div class="main box">
        <h1>HP NNMi Menu</h1>
        <div class="lining">
      <%
      MobileGatewayUser user = mobileGatewaySession.getUser();
      String nnmiUser = (String)request.getParameter("nnmiUser");
      String nnmiPass = (String)request.getParameter("nnmiPass");

      if(nnmiUser == null)
        nnmiUser = (String)session.getAttribute("nnmiUser");
      if(nnmiPass == null)
        nnmiPass = (String)session.getAttribute("nnmiPass");

      try
      {
        if ( nnmiUser == null )
        {
          nnmiUser = user.getCustomField( HPNNMI_USER_NAME_FIELD );
        }
        if ( nnmiPass == null )
        {
          nnmiPass = user.getCustomField( HPNNMI_PASSWORD_FIELD );
        }
      }catch(Exception e){
      }

      if(nnmiUser != null)
      {
        ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
        ExternalServiceResponse resps;
        esr.setAction("validateCreds");
        esr.addToken("nnmiUser", nnmiUser);
        esr.addToken("nnmiPass", nnmiPass);

        WebApplicationContext context = WebApplicationContextUtils.getRequiredWebApplicationContext(application);
        LicenseService licenseService = (LicenseService)context.getBean("licenseService");;

        %>
        <%@ include file="includes/sendRequest.jsp"%>
        <%
      }

      session.setAttribute("nnmiUser", nnmiUser);
      if(nnmiPass == null)
        nnmiPass = "";
      session.setAttribute("nnmiPass", nnmiPass);

      if(nnmiUser == null)
      //Display HP NNMi Login Page
      {
      %>
          <form method="POST" action="<%=response.encodeURL("urlAlias.jsp?identifier="+request.getParameter("identifier"))%>">
    
            <table class="no-border">
              <tr>
                <td class="align-right"><label class="required">HP NNMi Login:</label></td>
                <td><input type="text" name="nnmiUser"/></td>
              </tr>
              <tr>
                <td class="align-right"><label class="required">HP NNMi Pass:</label></td>
                <td><input type="password" name="nnmiPass"/></td>
              </tr>
              <tr>
                <td></td>
                <td><input type="submit" class="button" name="Login" value="Login"/></td>
              </tr>
            </table>
          </form>
      <%
      }
      else
      {
        // Go to message details
        ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
        ExternalServiceResponse resps;
        esr.setAction( "getIncident" );
        esr.addToken( "Incident_ID", request.getParameter( "ID" ) );
        %>
        <%@ include file="includes/sendRequest.jsp"%>
        <%
        Incident event = (Incident)resps.getResponse();
        session.setAttribute("event", event);

        // set a original event, this is used for updates
        session.setAttribute("orgEvent", event);
        %>
        <jsp:forward page="<%=response.encodeURL("updateEvent.jsp?tab=Basics")%>"/>
        <%
      }
      %>

          </div>
        </div>
      </div>
      </div>    
      <%@ include file="includes/standardFooter.jsp"%>
  </body>
</html>
