<%@ include file="includes/defaultImports.jsp"%>

<html>
  <head>
    <title>xMatters mobile access</title>
    <link rel="SHORTCUT ICON" href="/mg/images/logos/xmatters/favicon.ico" type="image/x-icon" />

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Cache-Control" content="max-age=0" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
    <meta name="MobileOptimized" content="100" />

    <%@ include file="../../includes/ipad_include.jsp"%>

  </head>

  <body>
    <div id="header">
      <%
      String message = "";
      String pageURL = "listEvents.jsp";
      session.setAttribute("LastResultsPageUrl", pageURL);
      String fullCount = null;
      List<Incident> eventHeaders = (List<Incident>)session.getAttribute( "eventHeaders" );

      response.setHeader("Cache-Control", "NO-CACHE");
      response.setDateHeader("Expires", 0 );

      String title = request.getParameter( "listAttribute" );
      if (title == null) {
        title = "Incidents";
      } else {
        title = title + " Incidents";
      }
      session.setAttribute("listTitle", title);

      String listName = request.getParameter( "listAttribute" );
      if ( listName != null && listName.length() > 0 ) {
        session.setAttribute("listAttribute", listName);
        eventHeaders = (List<Incident>)session.getAttribute( listName );
        if (eventHeaders == null) {
            ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
            ExternalServiceResponse resps;
            esr.setAction("getIncidents");
            esr.addToken("filter" , MAIN_MENU_OPTIONS.get( listName ));
            %>
            <%@ include file="includes/sendRequest.jsp"%>
            <%
            eventHeaders = (List<Incident>)resps.getResponse();
        }
      }
      if( eventHeaders == null )
      {
          eventHeaders = new ArrayList<Incident>();
      }
      if( request.getParameter("queryString") != null )
      {
        ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
        ExternalServiceResponse resps;
        esr.setAction( "getIncidents" );
        esr.addToken("filter" , MAIN_MENU_OPTIONS.get( listName ));
        esr.addToken( "service", "Search" );
        %>
        <%@ include file="includes/sendRequest.jsp"%>
        <%
        eventHeaders = (List<Incident>)resps.getResponse();
      }
      %>
      <%
      if (fullCount != null && fullCount.length() > 0) {
      %>
      <h1><a href="JavaScript:window.location.reload()"><%=title%></a> [<%=eventHeaders.size()%> of <%=fullCount%>]</h1>
      <%
      } else {
      %>
      <h1><a href="JavaScript:window.location.reload()"><%=title%></a> [<%=eventHeaders.size()%>]</h1>
      <%
      }
      %>
    </div>
    <div id="wrapper">
      <div id="scroller">
        <div class="main box">
          <div class="lining">
            <%=message%>
            <%@ include file="includes/tableOfEvents.jsp"%>
          </div>
        </div>
      </div>
    </div>
    <%@ include file="includes/standardFooter.jsp"%>
  </body>
</html>
