
<%@ page import="com.hp.ov.nms.sdk.incident.IncidentBeanServiceStub.Operator"%>

<%@ include file="includes/defaultImports.jsp"%>

<html>
  <head>
    <title>xMatters mobile access</title>
    <link rel="SHORTCUT ICON" href="/mg/images/logos/xmatters/favicon.ico" type="image/x-icon" />

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Cache-Control" content="max-age=0" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
    <meta name="MobileOptimized" content="100" />

    <%@ include file="../../includes/ipad_include.jsp"%>
  </head>

  <body>
      <div>
        <%
        // Pagination
        String pageURL = "queryEvents.jsp";
        session.setAttribute("LastResultsPageUrl", pageURL + "?page=0" ); // page=0 is required to convince "Reload List" request to display the existing results (see if 2 lines below)
        String queryLink = response.encodeURL("queryEvents.jsp");
        if ( request.getParameter("page") != null && session.getAttribute("eventHeaders") != null )
        {
          List<Incident> eventHeaders = (List)session.getAttribute("eventHeaders");
          if ( eventHeaders == null )
            eventHeaders = new ArrayList<Incident>();
          %>
      </div>
      
      <div id="wrapper">
        <div id="scroller">
          <div class="main box">
            <h1>Query Incidents [<%=eventHeaders.size()%>]</h1>
            <div class="lining">
              <%@ include file="includes/tableOfEvents.jsp"%>
              <br>
              <div style="padding: 10 3 3 3"><input type="button" class="button scroll" name="action" value="New Query" onclick="location.href='<%=response.encodeURL("queryEvents.jsp")%>'" /></div>
            </div>
          </div>
        </div>
      </div>
        <%
        }
        // New Query
        else if(request.getParameter("field_0") == null && request.getParameter("field_1") == null && request.getParameter("field_2") == null)
        {
        %>
      <div id="header">
        <h1>Query Incidents</h1>
      </div>
      
      <div id="wrapper">
        <div id="scroller">
          <div class="main box">
            <div class="lining">
              <form name="fields" method="POST" action="<%=queryLink %>">
                <table width="100%" class="no-border text">
                  <tr>
                    <td><label>Severity:</label></td>
                    <td>
                      <select name="severity" class="scroll">
                        <option value=""></option>
                        <option value="CRITICAL">Critical</option>
                        <option value="MAJOR">Major</option>
                        <option value="MINOR">Minor</option>
                        <option value="WARNING">Warning</option>
                        <option value="NORMAL">Normal</option>
                      </select>
                    </td>
                  </tr>
                  <tr>
                    <td><label>Priority:</label></td>
                    <td>
                      <select name="priority" class="scroll">
                        <option value=""></option>
                        <option value="TOP">Top</option>
                        <option value="HIGH">High</option>
                        <option value="MEDIUM">Medium</option>
                        <option value="LOW">Low</option>
                        <option value="NONE">None</option>
                      </select>
                    </td>
                  </tr>
                  <tr>
                    <td><label>Message Group:</label></td>
                    <td>
                      <select name="sourceType" class="scroll">
                        <option value=""></option>
                        <option value="NODE">Node</option>
                        <option value="INTERFACE">Interface</option>
                        <option value="IPADDRESS">IPAddress</option>
                        <option value="IPSUBNET">IPSubnet</option>
                        <option value="L2CONNECTION">L2Connection</option>
                      </select>
                    </td>
                  </tr>
                  <tr>
                    <td><label>Lifecycle State:</label></td>
                    <td>
                      <select name="lifecycleState" class="scroll">
                        <option value=""></option>
                        <option value="REGISTERED">Registered</option>
                        <option value="INPROGRESS">InProgress</option>
                        <option value="COMPLETED">Completed</option>
                        <option value="CLOSED">Closed</option>
                      </select>
                    </td>
                  </tr>
                  <tr>
                    <td><label>Family:</label></td>
                    <td>
                      <select name="family" class="scroll">
                        <option value=""></option>
                        <option value="ADDRESS">Address</option>
                        <option value="INTERFACE">Interface</option>
                        <option value="NODE">Node</option>
                        <option value="OSPF">OSPF</option>
                        <option value="HSRP">HSRP</option>
                        <option value="AGGREGATE_PORT">Agg Port</option>
                        <option value="BOARD">Board</option>
                        <option value="CONNECTION">Connection</option>
                        <option value="CORRELATION">Correlation</option>
                        <option value="NNMHEALTH">NnmHealth</option>
                      </select>
                    </td>
                  </tr>
                  <tr>
                    <td><label>Category:</label></td>
                    <td>
                      <select name="category" class="scroll">
                        <option value=""></option>
                        <option value="FAULT">Fault</option>
                        <option value="STATUS">Status</option>
                        <option value="CONFIG">Config</option>
                        <option value="ACCOUNTING">Accounting</option>
                        <option value="PERFORMANCE">Performance</option>
                        <option value="SECURITY">Security</option>
                        <option value="ALERT">Alert</option>
                      </select>
                    </td>
                  </tr>
                </table>
                <table width="100%" class="no-border text">
                  <tr>
                    <th>Field</th>
                    <th>Op</th>
                    <th>Value</th>
                  </tr>
                <%
                for ( int i=0; i < NUM_SEARCH_FIELDS; i++ )
                {
                %>
                  <tr>
                    <td>
                      <select name="field_<%=i%>" class="scroll">
                      <option value=""></option>
                      <%
                      for(String field : searchFieldsDisplay.keySet())
                      {
                      %>
                        <option value="<%=field %>"><%=searchFieldsDisplay.get(field)%></option>
                      <%
                      }
                      %>
                      </select>
                    </td>
                    <td>
                      <select name="field_<%=i%>_operator" class="scroll">
                        <option value="EQ">=</option>
                        <option value="NE">!=</option>
                        <option value="LIKE">like</option>
                      </select>
                    </td>
                    <td>
                      <input type="text" name="field_<%=i%>_value" size="14" class="scroll"/>
                    </td>
                  </tr>
                <%
                }
                %>
                </table>
                <div class="text">Values are case sensitive.</div>
                <div class="text">Wild cards may be used with the like Op. "%example%"</div>
                <br/>
                <div style="padding: 3"><input name="submit" class="button scroll" type="submit"/><div>
              </form>
            </div>
          </div>
        </div>
      </div>
      <%
      }
      // Return result
      else
      {

        HPNNMIQueryObject query = new HPNNMIQueryObject();

        // Build Query Filters
        String sev = request.getParameter( "severity" );
        if (sev != null && sev.length() > 0) {
            HPNNMIQueryField qField = new HPNNMIQueryField("severity", Operator.EQ, sev);
            query.addField(qField);
        }

        String priority = request.getParameter( "priority" );
        if (priority != null && priority.length() > 0) {
            HPNNMIQueryField qField = new HPNNMIQueryField("priority", Operator.EQ, IncidentPriority.valueOf(priority).getIncidentPriority());
            query.addField(qField);
        }

        String sourceType = request.getParameter( "sourceType" );
        if (sourceType != null && sourceType.length() > 0) {
            HPNNMIQueryField qField = new HPNNMIQueryField("sourceType", Operator.EQ, IncidentSourceType.valueOf(sourceType).getIncidentSourceType());
            query.addField(qField);
        }

        String lifecycleState = request.getParameter( "lifecycleState" );
        if (lifecycleState != null && lifecycleState.length() > 0) {
            HPNNMIQueryField qField = new HPNNMIQueryField("lifecycleState", Operator.EQ, IncidentLifecycleState.valueOf(lifecycleState).getLifecycleState());
            query.addField(qField);
        }

        String family = request.getParameter( "family" );
        if (family != null && family.length() > 0) {
            HPNNMIQueryField qField = new HPNNMIQueryField("family", Operator.EQ, IncidentFamily.valueOf(family).getIncidentFamily());
            query.addField(qField);
        }

        String category = request.getParameter( "category" );
        if (category != null && category.length() > 0) {
            HPNNMIQueryField qField = new HPNNMIQueryField("category", Operator.EQ, IncidentCategory.valueOf(category).getIncidentCategory());
            query.addField(qField);
        }

        int fieldCount = 0;

        while ( fieldCount < NUM_SEARCH_FIELDS )
        {
          String field = "field_" + fieldCount++;
          String fieldName = request.getParameter( field );
          if ( fieldName != null && fieldName.length() > 0 )
          {
            HPNNMIQueryField qField = new HPNNMIQueryField();
            qField.setField( fieldName );

            String fieldOperator = request.getParameter( field + "_operator" );
            if (fieldOperator.equals("EQ"))
              qField.setOperator( Operator.EQ );
            if (fieldOperator.equals("NE"))
              qField.setOperator( Operator.NE );
            if (fieldOperator.equals("LIKE"))
              qField.setOperator( Operator.LIKE );

            String fieldValue = request.getParameter( field + "_value" );
            qField.setValue( fieldValue );
            query.addField( qField );
          }
        }

        String message = "";

        ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
        ExternalServiceResponse resps;
        esr.setAction("getIncidents");
        if (lifecycleState != null && lifecycleState.length() > 0) {
          esr.addToken( "filter", query.getFilter() );
        } else {
          esr.addToken( "filter", IncidentFilter.addActiveFilter(query.getFilter()) );
        }
        %>
        <%@ include file="includes/sendRequest.jsp"%>
        <%
        List<Incident> eventHeaders = new ArrayList<Incident>();
        eventHeaders = (List<Incident>)resps.getResponse();

        session.setAttribute( "eventHeaders", eventHeaders );
        session.removeAttribute( "listTitle" );
        session.removeAttribute( "listAttribute" );
        %>
        <div id="header">
          <h1>Query Incidents [<%=eventHeaders.size()%>]</h1>
        </div>
        <div id="wrapper">
          <div id="scroller">
            <div class="main box">
              <div class="lining">
                <%=message%>
                <%@ include file="includes/tableOfEvents.jsp"%>
                <br/>
                <div style="padding: 10 3 3 3"><input type="button" class="button scroll" name="action" value="New Query" onclick="location.href='<%=response.encodeURL("queryEvents.jsp")%>'"/></div>
              </div>
            </div>
          </div>
        </div>
      <%
    }
    %>
    </div>
    </div>
    <%@ include file="includes/standardFooter.jsp"%>
  </body>
</html>
